package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmOrgRatingMstForm extends HrmBaseForm {
  private String selectAll;
  
  private String maximumRating;
  
  private String qualifyingRating;
  
  private String minimumRating;
  
  private String ratingHeaderCode;
  
  private String[] txtDescription;
  
  private String[] txtRatingGrade;
  
  private String[] txtRatingTo;
  
  private String[] txtRatingFrom;
  
  private ArrayList arrHrmRatingDtl = new ArrayList();
  
  private String ratingCodeId;
  
  private String disabmaximumRating;
  
  private String disabminimumRating;
  
  private String disabqualifyingRating;
  
  private String disabratingHeaderCode;
  
  private String disabselectAll;
  
  private String disabtxtDescription;
  
  private String disabtxtRatingFrom;
  
  private String disabtxtRatingGrade;
  
  private String disabtxtRatingTo;
  
  private String butRatingHeaderCode;
  
  private String disabbutRatingHeaderCode;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String[] getTxtDescription() {
    return this.txtDescription;
  }
  
  public void setTxtDescription(String[] newTxtDescription) {
    this.txtDescription = newTxtDescription;
  }
  
  public String[] getTxtRatingGrade() {
    return this.txtRatingGrade;
  }
  
  public void setTxtRatingGrade(String[] newTxtRatingGrade) {
    this.txtRatingGrade = newTxtRatingGrade;
  }
  
  public String[] getTxtRatingTo() {
    return this.txtRatingTo;
  }
  
  public void setTxtRatingTo(String[] newTxtRatingTo) {
    this.txtRatingTo = newTxtRatingTo;
  }
  
  public String[] getTxtRatingFrom() {
    return this.txtRatingFrom;
  }
  
  public void setTxtRatingFrom(String[] newTxtRatingFrom) {
    this.txtRatingFrom = newTxtRatingFrom;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getMaximumRating() {
    return this.maximumRating;
  }
  
  public void setMaximumRating(String newMaximumRating) {
    this.maximumRating = newMaximumRating;
  }
  
  public String getQualifyingRating() {
    return this.qualifyingRating;
  }
  
  public void setQualifyingRating(String newQualifyingRating) {
    this.qualifyingRating = newQualifyingRating;
  }
  
  public String getMinimumRating() {
    return this.minimumRating;
  }
  
  public void setMinimumRating(String newMinimumRating) {
    this.minimumRating = newMinimumRating;
  }
  
  public String getRatingHeaderCode() {
    return this.ratingHeaderCode;
  }
  
  public void setRatingHeaderCode(String newRatingHeaderCode) {
    this.ratingHeaderCode = newRatingHeaderCode;
  }
  
  public ArrayList getArrHrmRatingDtl() {
    return this.arrHrmRatingDtl;
  }
  
  public void setArrHrmRatingDtl(ArrayList newArrHrmRatingDtl) {
    this.arrHrmRatingDtl = newArrHrmRatingDtl;
  }
  
  public String getRatingCodeId() {
    return this.ratingCodeId;
  }
  
  public void setRatingCodeId(String newRatingCodeId) {
    this.ratingCodeId = newRatingCodeId;
  }
  
  public String getDisabmaximumRating() {
    return this.disabmaximumRating;
  }
  
  public void setDisabmaximumRating(String newDisabmaximumRating) {
    this.disabmaximumRating = newDisabmaximumRating;
  }
  
  public String getDisabminimumRating() {
    return this.disabminimumRating;
  }
  
  public void setDisabminimumRating(String newDisabminimumRating) {
    this.disabminimumRating = newDisabminimumRating;
  }
  
  public String getDisabqualifyingRating() {
    return this.disabqualifyingRating;
  }
  
  public void setDisabqualifyingRating(String newDisabqualifyingRating) {
    this.disabqualifyingRating = newDisabqualifyingRating;
  }
  
  public String getDisabratingHeaderCode() {
    return this.disabratingHeaderCode;
  }
  
  public void setDisabratingHeaderCode(String newDisabratingHeaderCode) {
    this.disabratingHeaderCode = newDisabratingHeaderCode;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String getDisabtxtDescription() {
    return this.disabtxtDescription;
  }
  
  public String getDisabtxtRatingFrom() {
    return this.disabtxtRatingFrom;
  }
  
  public String getDisabtxtRatingGrade() {
    return this.disabtxtRatingGrade;
  }
  
  public String getDisabtxtRatingTo() {
    return this.disabtxtRatingTo;
  }
  
  public void setDisabtxtDescription(String newDisabtxtDescription) {
    this.disabtxtDescription = newDisabtxtDescription;
  }
  
  public void setDisabtxtRatingFrom(String newDisabtxtRatingFrom) {
    this.disabtxtRatingFrom = newDisabtxtRatingFrom;
  }
  
  public void setDisabtxtRatingGrade(String newDisabtxtRatingGrade) {
    this.disabtxtRatingGrade = newDisabtxtRatingGrade;
  }
  
  public void setDisabtxtRatingTo(String newDisabtxtRatingTo) {
    this.disabtxtRatingTo = newDisabtxtRatingTo;
  }
  
  public String getButRatingHeaderCode() {
    return this.butRatingHeaderCode;
  }
  
  public void setButRatingHeaderCode(String newButRatingHeaderCode) {
    this.butRatingHeaderCode = newButRatingHeaderCode;
  }
  
  public String getDisabbutRatingHeaderCode() {
    return this.disabbutRatingHeaderCode;
  }
  
  public void setDisabbutRatingHeaderCode(String newDisabbutRatingHeaderCode) {
    this.disabbutRatingHeaderCode = newDisabbutRatingHeaderCode;
  }
}
